Bug 197875 - device.map ignored at boot; adding hda (PATA) to sda (SATA) configuration
device.map ignored at boot; adding hda (PATA) to sda (SATA) configuration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-06 16:09 EDT by John Reiser
Modified: 2008-05-06 12:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2006-07-06 16:09:37 EDT
Description of problem:
Grub worked on SATA-only machine: BIOS says "Primary IDE" is empty (master and
slave), "Secondary IDE" has DVD as master with empty slave, "Third IDE" is SATA
harddrive, "Fourth IDE" is another SATA harddrive; kernel says sda and sdb for
harddrives, hdc for DVD.  Then I added a PATA drive as "Primary IDE master"
(kernel wll say hda), and grub failed to boot with File not found.

The boot spec was "root hd(1,8)" meaning sdb9, the ninth partition on the second
SATA drive [remember: 0-origin indexing].  The grub/device.map file said:
-----
this device map was generated by anaconda
(hd0) /dev/sda
(hd1) /dev/sdb
-----
Drive sda (the first SATA drive) is self-conftained LVM2 with only two volume
groups (root, swap).  Drive sdb (the second SATA drive) has DOS-style MBR
partitions.  Drive hda (the added PATA drive) has DOS-style MBR partitions.

Version-Release number of selected component (if applicable): grub-0.97-5.i386.rpm

How reproducible:
always

Steps to Reproduce:
1. Install FC5 onto SATA-only system; use GRUB on MBR of first SATA harddrive.
2. Add PATA harddrive.
3. Try to boot.
  
Actual results:
"File not found" for a kernel that used to boot

Expected results:
Successful boot using existing device.map equivalences that name /dev/sda and
/dev/sdb, and omit any mention of /dev/hda.

Additional info:
Editing boot spec to be "root (hd2,8)" gives successful boot.  So device.map
appears to be ignored at boot, and PATA always goes to the head of the list.  In
other words, devices are not "stationary", but vary according to the presence or
absence of other devices.

Actual chipset is nVidia nForce-3, MSI K8N board, Phoenix-AwardBIOS 6.00PG
Comment 1 Bug Zapper 2008-04-03 23:14:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:04:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.